setwd("/Users/sebastian/git/projects/bigquery/gh/")
#setwd("E:/Git/projects/bigquery/gh/")

gh_repos_file_size <- read.csv("gh_repos_sample_file_size.csv", header=TRUE, sep=",", quote="\"", na.strings=c(""), stringsAsFactors=FALSE)

summary(gh_repos_file_size$file_size)
# Min.  1st Qu.   Median     Mean  3rd Qu.     Max. 
# 0     1178     2919    13030     8176 96320000 

d <- density(gh_repos_file_size$file_size)
plot(d)

d <- density(gh_repos_file_size$file_size[gh_repos_file_size$file_size<100000])
plot(d)

d <- density(gh_repos_file_size$file_size[gh_repos_file_size$file_size<20000])
plot(d)

quantile(gh_repos_file_size$file_size, 0.25)
# 25% 
# 1178
