-- Status: 10.02.2017

Select
  sum(c) as c,
  sum(javascript) as javascript,
  sum(php) as php,
  sum(java) as java,
  sum(python) as python,
  sum(cpp) as cpp,
  sum(cs) as cs,
  sum(oc) as oc,
  sum(r) as r 
from
select 
  case
    when Tags like '%<c>%' then 1
    else 0 
  end as c,
  case
    when Tags like '%<javascript>%' then 1
    else 0 
  end as javascript,
  case
    when Tags like '%<php>%' then 1
    else 0 
  end as php,
  case
    when Tags like '%<java>%' then 1
    else 0 
  end as java,
  case
    when Tags like '%<python>%' then 1
    else 0 
  end as python, 
  case
    when Tags like '%<c++>%' then 1
    else 0 
  end as cpp,
  case
    when Tags like '%<c#>%' then 1
    else 0 
  end as cs, -- also consider synonyms!!!
  case
    when Tags like '%<objective-c>%' then 1
    else 0 
  end as oc,
  case
    when Tags like '%<r>%' then 1
    else 0 
  end as r
from Posts
where PostTypeId = 1 and DeletionDate is null